"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setInternalStoreFlag = exports.isInternalStore = exports.setStateMutationName = exports.getStateMutationMetadata = void 0;
const MUTATION_NAME_SYMBOL = Symbol();
const INTERNAL_STORE_SYMBOL = Symbol();
function getStateMutationMetadata(mutation) {
    const name = mutation[MUTATION_NAME_SYMBOL];
    return { name };
}
exports.getStateMutationMetadata = getStateMutationMetadata;
/** @internal */
function setStateMutationName(mutation, name) {
    mutation[MUTATION_NAME_SYMBOL] = name;
}
exports.setStateMutationName = setStateMutationName;
/** @internal */
function isInternalStore(store) {
    return store[INTERNAL_STORE_SYMBOL] === true;
}
exports.isInternalStore = isInternalStore;
/** @internal */
function setInternalStoreFlag(store) {
    store[INTERNAL_STORE_SYMBOL] = true;
}
exports.setInternalStoreFlag = setInternalStoreFlag;
//# sourceMappingURL=storeMetadata.js.map