"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isReadonlyArray = exports.OBJECT_COMPARATOR = exports.DEFAULT_COMPARATOR = void 0;
const DEFAULT_COMPARATOR = (a, b) => a === b;
exports.DEFAULT_COMPARATOR = DEFAULT_COMPARATOR;
const hasOwnProperty = Object.prototype.hasOwnProperty;
/**
 * Makes shallow comparison of two objects.
 */
const OBJECT_COMPARATOR = (objA, objB) => {
    if (objA === objB) {
        return true;
    }
    const keysA = Object.keys(objA);
    const keysB = Object.keys(objB);
    if (keysA.length !== keysB.length) {
        return false;
    }
    for (let i = 0; i < keysA.length; i++) {
        const key = keysA[i];
        if (!hasOwnProperty.call(objB, key) || objA[key] !== objB[key]) {
            return false;
        }
    }
    return true;
};
exports.OBJECT_COMPARATOR = OBJECT_COMPARATOR;
function isReadonlyArray(value) {
    return Array.isArray(value);
}
exports.isReadonlyArray = isReadonlyArray;
//# sourceMappingURL=utils.js.map